Bug 137606 - gradient background with css and png doesn't work
Summary: gradient background with css and png doesn't work
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml renderer (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-20 10:04 UTC by Ludo
Modified: 2008-04-22 15:42 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ludo 2006-11-20 10:04:59 UTC
Version:           3.5.5 (using KDE 3.5.5, Debian Package 4:3.5.5a.dfsg.1-3 (4.0))
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.18.2

http://www.alistapart.com/articles/supereasyblendys contains a tutorial for creating gradient background images with png & css. The last example on the page shows the end result, as an image. The example in html/css/png form is on http://www.alistapart.com/d/supereasyblendys/examples/eg7.html and it doesn't work correctly. It's a useful thing as it's relatively cross-browser, so it'd be cool if Konqueror (well, khtml I guess) supported it.
Comment 1 Allan Sandfeld 2006-11-20 10:46:18 UTC
I see the box being wider than the images. The images are scaled to 100% width, and the box are normal block boxes that are also supposed to be 100% width
Comment 2 FiNeX 2008-04-20 23:47:57 UTC
I see the gradient correctly, but the box are wider than the images even on konqueror 4.
Comment 3 Germain Garand 2008-04-22 15:42:17 UTC
SVN commit 799834 by ggarand:

likewise, make sure we always use the padding edge when calculating
the width of a positioned object's containing block. (10.1.4)

BUG: 137606


 M  +7 -7      render_box.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=799834